<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sync extends MY_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
    function __construct() {
        parent::__construct();
        $this->load->model("Sync_model", "sync");
    }
    public function index()
	{
		$res = $this->sync->get_data();
		$res_data['view'] = 'pages/sync';
		$res_data['data'] = array("data"=>$res["data"]);
		$this->load->view('layout', $res_data);
    }

    public function get_data(){
        $res = $this->sync->get_data();
		header("Content-Type: application/json");
		$res_data = array("recordsTotal" => count($res["data"]),
						  "recordsFiltered" => count($res["data"]),
						  "data" => $res["data"]);
        echo json_encode($res_data);
    }
}
